# BasicAuthAccessor

class BasicAuthAccessor extends Accessor

The BasicAuthAccessor class holds information about the connection for the RestClient. I.e. username and api-key for basic authentication.

## Methods

__construct(string $baseUrl, string $username, string $apikey)

No description

Client
getClient()

No description

from Accessor
setClient(Client $client)

No description

from Accessor

## Details

###
at line 49
`__construct(string $baseUrl, string $username, string $apikey)`

#### Parameters

string | $baseUrl |
string | $username |
string | $apikey |

###
in Accessor at line 54
`Client getClient()`

#### Return Value

Client |

###
in Accessor at line 61
`setClient(Client $client)`

#### Parameters

Client | $client |